Robot Simulator of the Robotics Group for Self-Organization of Control: ColorNormalNoise Class Reference

# ColorNormalNoise Class Reference

like ColorUniformNoise but averaging over normal distributed noise instead. More...

`#include <noisegenerator.h>`

Inherits WhiteNormalNoise.

Collaboration diagram for ColorNormalNoise:
[legend]

List of all members.

## Public Member Functions
| ColorNormalNoise (double tau=0.05)
virtual | ~ColorNormalNoise ()
virtual void | init (unsigned int dimension, RandGen *randGen=0)
| initialization with the the given dimension for multidimensional noise
virtual double | generate ()
| generate somehow distributed random number parameterized with min and max.
virtual void | add (double *value, double noiseStrength)
| adds multidimensional noise to the value field.
virtual double | getTau ()
virtual void | setTau (double newTau)
## Protected Attributes
double | tau
double | sqrttau
double * | mean
double | mean1channel
double | factor

## Detailed Description

like ColorUniformNoise but averaging over normal distributed noise instead.

## Constructor & Destructor Documentation

ColorNormalNoise | ( | double | tau = `0.05` | ) | `[inline]`

virtual ~ColorNormalNoise | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void add | ( | double * | value,
|  | double | noiseStrength |
| ) |  |  | `[inline, virtual]`

adds multidimensional noise to the value field.

Generic implementation calls generate for each channel. Overload this if you need different behavior.

Parameters:

  | value | field where noise is added. Must have length dimension (init())

Reimplemented from NoiseGenerator.

virtual double generate | ( |  | ) | `[inline, virtual]`

generate somehow distributed random number parameterized with min and max.

valid only for ONE random number, use add() for adding this kind of noise to several channels

Reimplemented from WhiteNormalNoise.

virtual double getTau | ( |  | ) | `[inline, virtual]`

virtual void init | ( | unsigned int | dimension,
|  | RandGen * | randGen = `0` |
| ) |  |  | `[inline, virtual]`

initialization with the the given dimension for multidimensional noise

Parameters:

  | dimension | dimensionality of vectors to be used by add
  | randGen | pointer to a random generator. If zero a new one generated internally

See also:
  add()

Reimplemented from NoiseGenerator.

virtual void setTau | ( | double | newTau | ) | `[inline, virtual]`

## Member Data Documentation

double factor`[protected]`

double* mean`[protected]`

double mean1channel`[protected]`

double sqrttau`[protected]`

double tau`[protected]`

The documentation for this class was generated from the following file:

- noisegenerator.h